# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [41.1.11](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.11..release-41.1.10) (2023-09-22)


### Bug Fixes

* **tizen:** implement custom setting for controlling Tizen Eco Sensor CU-865d3y40q ([4402948](https://bitbucket.org/diseinc/xpressplayer/commits/44029482b95c7893cef0c82847fe30b5dff51ae1))

### [41.1.10](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.10..release-41.1.9) (2023-09-21)

### [41.1.9](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.9..release-41.1.8) (2023-09-20)


### Bug Fixes

* **tizen:** resolve deadlock during initialization on SSSP6+ devices without network connection ([587d87a](https://bitbucket.org/diseinc/xpressplayer/commits/587d87a20a568522f08ff4f1eb0d233fb66ab31b)), closes [#491](https://bitbucket.org/diseinc/xpressplayer/issues/491)

### [41.1.8](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.8..release-41.1.7) (2023-09-07)


### Bug Fixes

* correct typo causing exception when sending playback statistics to CX Portal ([85abfa2](https://bitbucket.org/diseinc/xpressplayer/commits/85abfa20bd58c7fa5a0552f4e4ca404d8b0600a1)), closes [#110](https://bitbucket.org/diseinc/xpressplayer/issues/110)
* **metadata:** set networkInfo as metadata for Tizen devices CU-865cxqr88 (pull request [#487](https://bitbucket.org/diseinc/xpressplayer/issues/487)) ([f741371](https://bitbucket.org/diseinc/xpressplayer/commits/f741371cb2bf41a81ee6002ffc5cdc99eff81593))

### [41.1.7](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.7..release-41.1.6) (2023-08-21)


### Bug Fixes

* signageOS platform will repeatedly send in stored status/statistics commands CU-865cyc5mq (pull request [#105](https://bitbucket.org/diseinc/xpressplayer/issues/105)) ([61efda6](https://bitbucket.org/diseinc/xpressplayer/commits/61efda6c7645912e04bfd4ed7c72bd3c1107942a))

### [41.1.6](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.6..release-41.1.5) (2023-08-15)


### Bug Fixes

* **communication:** avoid playback lockup on Tizen players caused by bad command handling CU-865cuuumn (pull request [#485](https://bitbucket.org/diseinc/xpressplayer/issues/485)) ([002b92e](https://bitbucket.org/diseinc/xpressplayer/commits/002b92e50c836bc9768cd1cc7f0ad55f0b0735bf))

### [41.1.5](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.5..release-41.1.4) (2023-06-02)


### Bug Fixes

* **operatingHour:** Operating hours exception on site does not work on lite CU-865cfdpve (pull request [#483](https://bitbucket.org/diseinc/xpressplayer/issues/483)) ([e398b87](https://bitbucket.org/diseinc/xpressplayer/commits/e398b87b5f456635e9f8069c464dbf3586017cd5))

### [41.1.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.4..release-41.1.3) (2023-05-25)


### Bug Fixes

* **gapless:** resolve issue with message playback after 20 scenes CU-865cdvuue (pull request [#481](https://bitbucket.org/diseinc/xpressplayer/issues/481)) ([827b2b6](https://bitbucket.org/diseinc/xpressplayer/commits/827b2b6c012f41570b47bc0c066fbdf9e1a04797))

### [41.1.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.3..release-41.1.2) (2023-05-17)


### Bug Fixes

* lite player shows error, clears all content and reloads if content url cannot be resolved CU-865cbzjq8 (pull request [#479](https://bitbucket.org/diseinc/xpressplayer/issues/479)) ([5e5b6e3](https://bitbucket.org/diseinc/xpressplayer/commits/5e5b6e31ea4cc8d4982298f8bf2df3454a998cbd))
* **campaign:** Lite player cannot play messages from new campaign playlist CU-865cbz1kk (pull request [#478](https://bitbucket.org/diseinc/xpressplayer/issues/478)) ([fcfaee4](https://bitbucket.org/diseinc/xpressplayer/commits/fcfaee4b860edc7ad719428e562f2b1725b17d40))

### [41.1.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.2..release-41.1.1) (2023-05-10)


### Bug Fixes

* **campaign:** (v13.rc2) Lite player plays disabled items CU-865c9ykyv (pull request [#476](https://bitbucket.org/diseinc/xpressplayer/issues/476)) ([847cef6](https://bitbucket.org/diseinc/xpressplayer/commits/847cef69d014e5088b6132ddc14cd09d6b2d881d))
* **campaign:** wamp subscribe iden id instead of playlist id CU-865c9vwry (pull request [#475](https://bitbucket.org/diseinc/xpressplayer/issues/475)) ([fefc670](https://bitbucket.org/diseinc/xpressplayer/commits/fefc67058c219b96bcae042080111e2a69afe95a))

### [41.1.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.1..release-41.1.0) (2023-05-05)


### Bug Fixes

* **conditions:** Add compatibility for tags and locations conditions on campaigns CU-865c9814y (pull request [#472](https://bitbucket.org/diseinc/xpressplayer/issues/472)) ([88384ee](https://bitbucket.org/diseinc/xpressplayer/commits/88384eeb3f977ed4f206dae485e8b7dc1a2516fc))
* **conditions:** added default values to weekdays CU-865c15aan (pull request [#468](https://bitbucket.org/diseinc/xpressplayer/issues/468)) ([e2bbdb6](https://bitbucket.org/diseinc/xpressplayer/commits/e2bbdb65ff433acc3085138d19419bcb0137ad0c))
* **osd:** player name and id is visible in OSD when using CX Portal CU-865c7x0b3 (pull request [#473](https://bitbucket.org/diseinc/xpressplayer/issues/473)) ([841dfb2](https://bitbucket.org/diseinc/xpressplayer/commits/841dfb23320fcb8514bd136fab1fe90244ea4e59))
* **playlist:** error when loading incorrectly published playlist CU-865c8vv1v CU-865c8vv1v (pull request [#471](https://bitbucket.org/diseinc/xpressplayer/issues/471)) ([485269a](https://bitbucket.org/diseinc/xpressplayer/commits/485269abd97a6cfc87a36ee3cee5d8bc48ad81af))

## [41.1.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-41.1.0..release-40.0.3) (2023-03-15)


### Features

* **campaign:** add campaign functionality CU-865bmt8wt (pull request [#462](https://bitbucket.org/diseinc/xpressplayer/issues/462)) ([9c2d43e](https://bitbucket.org/diseinc/xpressplayer/commits/9c2d43e2ff037f6c7c2fa6b7b4a76d47004c66ab))
* **conditions:** Conditions with date and time CU-865bpprjc (pull request [#465](https://bitbucket.org/diseinc/xpressplayer/issues/465)) ([45f84e8](https://bitbucket.org/diseinc/xpressplayer/commits/45f84e8d2459d6bd0b20b41e5eb2760293cc45a0))


### Bug Fixes

* **brightsign/video:** Videos wont play on Brightsign with newest version of SignageOS CU-865buxgkk (pull request [#463](https://bitbucket.org/diseinc/xpressplayer/issues/463)) ([dca550d](https://bitbucket.org/diseinc/xpressplayer/commits/dca550d522014396f6405067300d10a8bece8295))
* **brightsign/widget:** player is trying to extract a folder instead of a zip file CU-865bxcm9t  (pull request [#464](https://bitbucket.org/diseinc/xpressplayer/issues/464)) ([16e595d](https://bitbucket.org/diseinc/xpressplayer/commits/16e595d5db703d1bcb1f47cf3570802cc53d1b49))
* **campaigns:** add indicator to check publishToken vs playlistId for subplaylists (pull request [#466](https://bitbucket.org/diseinc/xpressplayer/issues/466)) ([5c4c0ad](https://bitbucket.org/diseinc/xpressplayer/commits/5c4c0ad0fa593cf0b0ccfa9ad6c2f02a7946d65a))

### [40.0.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-40.0.3..release-40.0.2) (2023-02-22)


### Bug Fixes

* **audio:** CustomFields audio values not working CU-865bpzer1 (pull request [#457](https://bitbucket.org/diseinc/xpressplayer/issues/457)) ([5bdf801](https://bitbucket.org/diseinc/xpressplayer/commits/5bdf8014a12ec698c6108562cb9f0dbba13625af))
* **customFields:** (Lite) Classic portal's settings override custom fields in new portal CU-865bqwwmu (pull request [#459](https://bitbucket.org/diseinc/xpressplayer/issues/459)) ([79988d0](https://bitbucket.org/diseinc/xpressplayer/commits/79988d0e3ad8ddce6a67e789832cb1a5b866796e))
* **operatingHours:** CustomFields operating hours not working CU-865bpzf5j (pull request [#458](https://bitbucket.org/diseinc/xpressplayer/issues/458)) ([a3812c4](https://bitbucket.org/diseinc/xpressplayer/commits/a3812c42b9806f61d1aaa01697a6ede21d746422))

### [40.0.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-40.0.2..release-40.0.1) (2023-02-07)


### Bug Fixes

* **playback:** play all on channel with with subplaylists shows the wrong content CU-865bhzjfd (pull request [#454](https://bitbucket.org/diseinc/xpressplayer/issues/454)) ([a3dc942](https://bitbucket.org/diseinc/xpressplayer/commits/a3dc942a3f2311c14422ce0a48155361e851d168))

### [40.0.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-40.0.1..release-39.0.7) (2023-01-19)


### Bug Fixes

* **brightsign/webpage:** Webpages do not show correctly (Brightsign) CU-865bhn6h6 (pull request [#452](https://bitbucket.org/diseinc/xpressplayer/issues/452)) ([2bb5dfb](https://bitbucket.org/diseinc/xpressplayer/commits/2bb5dfbde3e5cbe69c81366afd1e7435af80e562))
* **communication:** set player backend communication timeout to 30 seconds CU-865bcyrbz (pull request [#441](https://bitbucket.org/diseinc/xpressplayer/issues/441)) ([bbde1a1](https://bitbucket.org/diseinc/xpressplayer/commits/bbde1a1d031b9c16d273943081f614b7111785b3))
* **log:** default log level changed to Notice CU-3t396yh (pull request [#440](https://bitbucket.org/diseinc/xpressplayer/issues/440)) ([0a5a754](https://bitbucket.org/diseinc/xpressplayer/commits/0a5a754b53942ca1e3cf088e0fed1714ff9c7190))
* **log:** initialise log message removed CU-3t3967u (pull request [#436](https://bitbucket.org/diseinc/xpressplayer/issues/436)) ([ef09329](https://bitbucket.org/diseinc/xpressplayer/commits/ef09329e6af2d8d0a89a809947fc9d5dc8f1cf37))
* **signageos:** improve video support in disemovie / template (pull request [#328](https://bitbucket.org/diseinc/xpressplayer/issues/328)) ([28b84f3](https://bitbucket.org/diseinc/xpressplayer/commits/28b84f31ff19b2b41dd2daa15378c10bd0b32ab4))
* **signageos:** readded android 4.4 support CU-865bdqg2y (pull request [#449](https://bitbucket.org/diseinc/xpressplayer/issues/449)) ([dc7d9a4](https://bitbucket.org/diseinc/xpressplayer/commits/dc7d9a4f7051d6e9da406f8955ee00bafcf517c6))
* **signageos:** stop of video not handled correctly CU-865bfkf1g (pull request [#448](https://bitbucket.org/diseinc/xpressplayer/issues/448)) ([01000e0](https://bitbucket.org/diseinc/xpressplayer/commits/01000e0760a7210854293513828378e74d8b11dc)), closes [#447](https://bitbucket.org/diseinc/xpressplayer/issues/447)
* **signageOS/brightsign:** Screen control (power on,off) for BrightSign in SignageOS CU-865bdreyq (pull request [#451](https://bitbucket.org/diseinc/xpressplayer/issues/451)) ([961751a](https://bitbucket.org/diseinc/xpressplayer/commits/961751a805dd1b2937817e1d57ad5ac69cc6cc09))
* show welcome screen when the player failed to download or load content and never had any working content before CU-865bdeppx (pull request [#444](https://bitbucket.org/diseinc/xpressplayer/issues/444)) ([90359c6](https://bitbucket.org/diseinc/xpressplayer/commits/90359c60021dc62d03ece5664989d2fd12071af0))
* **webos:** fixed the code according to LG recommendations CU-3kqpcyw (pull request [#424](https://bitbucket.org/diseinc/xpressplayer/issues/424)) ([698d6cb](https://bitbucket.org/diseinc/xpressplayer/commits/698d6cbc7c4e7dffbef93c7d0aa109d5ac41d4e0))
* **webos:** upgrade to SCAP 1.8 and CustomJS 1.4 to detect correct LG webOS version CU-3kqpcyw (pull request [#423](https://bitbucket.org/diseinc/xpressplayer/issues/423)) ([3a49129](https://bitbucket.org/diseinc/xpressplayer/commits/3a49129183f070e278a64a56520b41e9c49ca04c))

### [39.0.7](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.7..release-39.0.6) (2023-01-11)


### Bug Fixes

* **signageos:** stop of video not handled correctly CU-865bfkf1g (pull request [#447](https://bitbucket.org/diseinc/xpressplayer/issues/447)) ([cb5e444](https://bitbucket.org/diseinc/xpressplayer/commits/cb5e44429f671527edb00f5c296cbfb7aeb11bcf))

### [39.0.6](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.6..release-39.0.5) (2023-01-10)


### Bug Fixes

* **signageos:** added traces and updated timeouts in gapless video module CU-865bfkf1g (pull request [#445](https://bitbucket.org/diseinc/xpressplayer/issues/445)) ([b51d718](https://bitbucket.org/diseinc/xpressplayer/commits/b51d7189ccd4e3af12f3fe6b401ccf4a11e30987))
* **signageOS/restorePlayback:** Screen is shown black after end of video if next content is image (part 2) CU-865bbrnqk (pull request [#439](https://bitbucket.org/diseinc/xpressplayer/issues/439)) ([0aaffea](https://bitbucket.org/diseinc/xpressplayer/commits/0aaffeaa6f1da78a857b571564d6c4eae8222fbb))

### [39.0.5](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.5..release-39.0.4) (2022-12-21)

### [39.0.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.4..release-39.0.3) (2022-12-20)


### Bug Fixes

* **signageOS/tv-controller:** Android8 log screen is not shown with remote controller CU-865bbhwd1 (pull request [#437](https://bitbucket.org/diseinc/xpressplayer/issues/437)) ([725f4fd](https://bitbucket.org/diseinc/xpressplayer/commits/725f4fdec71a6fd01935b4769ec1ee13a0905726))

### [39.0.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.3..release-39.0.2) (2022-12-20)


### Bug Fixes

* **signageOS/jsAPI:** Screen is shown black after end of video if next content is image CU-865bb9dzt (pull request [#434](https://bitbucket.org/diseinc/xpressplayer/issues/434)) ([1c64c0b](https://bitbucket.org/diseinc/xpressplayer/commits/1c64c0b4b2c14b51817698b64f5a47eae414aafd))

### [39.0.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.2..release-39.0.1) (2022-12-12)


### Bug Fixes

* **gapless:** replace merge of gapless items to fix issue with sub playlists not beeing gapless CU-3wg07p3 (pull request [#432](https://bitbucket.org/diseinc/xpressplayer/issues/432)) ([f363ebf](https://bitbucket.org/diseinc/xpressplayer/commits/f363ebfcb28eff3f6be5ff7d4552045c69f95200))
* **gapless:** schedule for sub playlist is not used correctly on Lite with gapless playback CU-3wg07p3 (pull request [#431](https://bitbucket.org/diseinc/xpressplayer/issues/431)) ([3dab071](https://bitbucket.org/diseinc/xpressplayer/commits/3dab0717da3f86ec0cfab601f94c91da1118d7f7))
* gapless video playback on android 8 did not work properly in classic portal CU-3x1atz7 (pull request [#430](https://bitbucket.org/diseinc/xpressplayer/issues/430)) ([bebaf90](https://bitbucket.org/diseinc/xpressplayer/commits/bebaf9091031e176bc7ded23b74379a313e5112e))

### [39.0.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-39.0.1..release-38.3.4) (2022-11-22)


### Bug Fixes

* **wamp:** Lite player do not unsubscribe from WAMP topic CU-3teqdwb (pull request [#428](https://bitbucket.org/diseinc/xpressplayer/issues/428)) ([4922a31](https://bitbucket.org/diseinc/xpressplayer/commits/4922a319ca1730fc84e393dfb7414d1b97b605c7))

### [38.3.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.3.4..release-38.3.3) (2022-11-04)


### Bug Fixes

* **signageOS:** investigate signageOS android screen shows black sometimes CU-3m8wcxx (pull request [#426](https://bitbucket.org/diseinc/xpressplayer/issues/426)) ([edea19e](https://bitbucket.org/diseinc/xpressplayer/commits/edea19ebd1aa8b9b420ba347570b8ab20fc593cc))

### [38.3.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.3.3..release-38.3.2) (2022-10-25)

### [38.3.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.3.2..release-38.3.1) (2022-10-12)


### Bug Fixes

* **signageOS:** signageOS trying to find do not exist image unlessly CU-3khzxu5 (pull request [#421](https://bitbucket.org/diseinc/xpressplayer/issues/421)) ([c5f0e65](https://bitbucket.org/diseinc/xpressplayer/commits/c5f0e653a006167eb3ba823db42d01bf2f0ea537))

### [38.3.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.3.1..release-38.3.0) (2022-10-10)


### Bug Fixes

* **signageOS:** "use operating hours" issue fixed on Android 8 CU-3jnaz86 (pull request [#419](https://bitbucket.org/diseinc/xpressplayer/issues/419)) ([57c33b5](https://bitbucket.org/diseinc/xpressplayer/commits/57c33b5d7f44c37df53d476d2a6a55f71e70fde2))

## [38.3.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.3.0..release-38.2.2) (2022-10-03)


### Features

* add Lite documentation to repo CU-3dn6ew1 (pull request [#416](https://bitbucket.org/diseinc/xpressplayer/issues/416)) ([2770cf1](https://bitbucket.org/diseinc/xpressplayer/commits/2770cf12f40a57ed13d58f586fcd1f13b1c83361))


### Bug Fixes

* **operatingHours/signageOS:** Operating hours Android 8 CU-3h21dxf  (pull request [#417](https://bitbucket.org/diseinc/xpressplayer/issues/417)) ([79765d5](https://bitbucket.org/diseinc/xpressplayer/commits/79765d529dc5a6e9ff0c191d4aa5229ee6a29450))

### [38.2.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.2.2..release-38.2.1) (2022-09-23)


### Bug Fixes

* **android/signageOS:** Philips android 8 get stuck on last frame of video CU-27wu11q (pull request [#414](https://bitbucket.org/diseinc/xpressplayer/issues/414)) ([bf39205](https://bitbucket.org/diseinc/xpressplayer/commits/bf3920591f01ec0bce8a10bd419976a9da3098c0))
* **status:** Content downloading blocks statuses from being updated CU-3d9qx6f (pull request [#413](https://bitbucket.org/diseinc/xpressplayer/issues/413)) ([6aac3e0](https://bitbucket.org/diseinc/xpressplayer/commits/6aac3e0b594a24d1bd4cdcc6e7e107bd1365b623))
* **Tizen/settings:** samsung displays will now show serial numbers in CX Portal CU-3eqkvdp (pull request [#412](https://bitbucket.org/diseinc/xpressplayer/issues/412)) ([7283122](https://bitbucket.org/diseinc/xpressplayer/commits/7283122d49a0aee67854174626286af9994347f5))

### [38.2.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.2.1..release-38.2.0) (2022-09-07)


### Bug Fixes

* **signageOS/settings:** clear settings problem on Philips Android CU-2r6ghnu (pull request [#409](https://bitbucket.org/diseinc/xpressplayer/issues/409)) ([9f33422](https://bitbucket.org/diseinc/xpressplayer/commits/9f33422c25be5ee5ad286c531bd1de6f13ecca8b))
* **webOS/settings:** Clear statistics on Clear Settings of player (Lite) CU-282fhhz (pull request [#410](https://bitbucket.org/diseinc/xpressplayer/issues/410)) ([629d155](https://bitbucket.org/diseinc/xpressplayer/commits/629d1555e6a91916bd3c36410928e9bd0ba3ef24))

## [38.2.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.2.0..release-38.1.10) (2022-09-02)


### Features

* improve file download validation on webOS CU-314hdkd (pull request [#399](https://bitbucket.org/diseinc/xpressplayer/issues/399)) ([be30425](https://bitbucket.org/diseinc/xpressplayer/commits/be304257e58cd6b3e7dab2b10d7a76e54d92cb7b))


### Bug Fixes

* **webOS:** Improve file download validation on webOS CU-314hdkd (pull request [#400](https://bitbucket.org/diseinc/xpressplayer/issues/400)) ([82d759c](https://bitbucket.org/diseinc/xpressplayer/commits/82d759cf0f7a54ea9a64d80a78286ead91bf0f3e))

### [38.1.10](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.10..release-38.1.9) (2022-09-02)


### Bug Fixes

* **Android/offline:** Android 8 not saving playback statistics when it is offline CU-390eeja (pull request [#401](https://bitbucket.org/diseinc/xpressplayer/issues/401)) ([c3e353e](https://bitbucket.org/diseinc/xpressplayer/commits/c3e353e43ee3f2f719c24b4bae17f984f3a58417))
* **LG/cache:** WebOS cache storage CU-3c7hkt0 (pull request [#405](https://bitbucket.org/diseinc/xpressplayer/issues/405)) ([37b042e](https://bitbucket.org/diseinc/xpressplayer/commits/37b042eaf09c92215de1668a93c6e0c8ef4cb92e))
* **signageOS:** thumbnails will be generated with correct proportions CU-3bat34q (pull request [#404](https://bitbucket.org/diseinc/xpressplayer/issues/404)) ([a27f58a](https://bitbucket.org/diseinc/xpressplayer/commits/a27f58a178f0b1276b4caebfe0a69a8cfdf87923))

### [38.1.9](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.9..release-38.1.8) (2022-08-31)


### Bug Fixes

* weather language index for Lite is wrong CU-3c7h8j5 (pull request [#403](https://bitbucket.org/diseinc/xpressplayer/issues/403)) ([3b08a6f](https://bitbucket.org/diseinc/xpressplayer/commits/3b08a6f9433fb98657326bc146bbd7cb894300d8))

### [38.1.8](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.8..release-38.1.7) (2022-08-23)


### Bug Fixes

* **variables:** lite player keeps Var- prefix on variables when adding to widget CU-1qe0y0v (pull request [#337](https://bitbucket.org/diseinc/xpressplayer/issues/337)) ([0506343](https://bitbucket.org/diseinc/xpressplayer/commits/05063430e0ab2e03d9affcde2252871e6124dc77))

### [38.1.7](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.7..release-38.1.6) (2022-07-22)


### Bug Fixes

* **LG/reports:** LG stop reporting to reports CU-23ncfek (pull request [#397](https://bitbucket.org/diseinc/xpressplayer/issues/397)) ([7df0631](https://bitbucket.org/diseinc/xpressplayer/commits/7df06313f09b8a5d67d8b33d0292717a871c9bea))

### [38.1.6](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.6..release-38.1.5) (2022-07-08)


### Bug Fixes

* **webOS/download:** Improve file download validation on webOS CU-314hdkd (pull request [#388](https://bitbucket.org/diseinc/xpressplayer/issues/388)) ([5f0e7f3](https://bitbucket.org/diseinc/xpressplayer/commits/5f0e7f314ef74f77113a0fbadb0b16f69f7f63fc))

### [38.1.5](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.5..release-38.1.4) (2022-07-08)


### Bug Fixes

* **android/videoplayback:** Philips android 8 get stuck on last frame of video CU-27wu11q (pull request [#394](https://bitbucket.org/diseinc/xpressplayer/issues/394)) ([4572eb5](https://bitbucket.org/diseinc/xpressplayer/commits/4572eb5f84d0abe3ae1f779b575819ad2d498a4e))

### [38.1.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.4..release-38.1.3) (2022-07-06)


### Bug Fixes

* **android/playback:** Philips android 8 get stuck on last frame of video CU-27wu11q (pull request [#392](https://bitbucket.org/diseinc/xpressplayer/issues/392)) ([38adc1d](https://bitbucket.org/diseinc/xpressplayer/commits/38adc1d1100bc74e6e716709a037d12b9b8acc68))

### [38.1.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.3..release-38.1.2) (2022-07-06)


### Bug Fixes

* **android/signageOS:** Android 8 sometimes losing settings after reboot CU-314jptp (pull request [#389](https://bitbucket.org/diseinc/xpressplayer/issues/389)) ([37e855a](https://bitbucket.org/diseinc/xpressplayer/commits/37e855a199a793ca4b6ee4122725fef43456b7c1))
* **android/video:** Philips android 8 get stuck on last frame of video CU-27wu11q (pull request [#390](https://bitbucket.org/diseinc/xpressplayer/issues/390)) ([417661b](https://bitbucket.org/diseinc/xpressplayer/commits/417661b29b41ade1d282f5268e2c679e89b46c4f))

### [38.1.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.2..release-38.1.1) (2022-06-28)


### Bug Fixes

* **shuffle:** Lite crash on shuffle CU-2zh2zh5 (pull request [#385](https://bitbucket.org/diseinc/xpressplayer/issues/385)) ([aa08ffa](https://bitbucket.org/diseinc/xpressplayer/commits/aa08ffa629ba4caf506a4983054506fdd888b0bf))
* **shuffle/channel:** Lite crash on shuffle CU-2zh2zh5 (pull request [#386](https://bitbucket.org/diseinc/xpressplayer/issues/386)) ([db1e879](https://bitbucket.org/diseinc/xpressplayer/commits/db1e8791b053425eb9a56eb503193b2835766892))

### [38.1.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.1..release-38.1.0) (2022-06-23)


### Bug Fixes

* **sound/webOS:** LG WebOS - Sound continues to play outside operating hours CU-23ncq4d (pull request [#383](https://bitbucket.org/diseinc/xpressplayer/issues/383)) ([d2c5de4](https://bitbucket.org/diseinc/xpressplayer/commits/d2c5de464580e3382fe11df93d4f63c862bcef56))

## [38.1.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.1.0..release-38.0.4) (2022-06-23)


### Features

* **playlist:** Support shuffle playlist CU-2mtwuvn (pull request [#358](https://bitbucket.org/diseinc/xpressplayer/issues/358)) ([9d320f6](https://bitbucket.org/diseinc/xpressplayer/commits/9d320f66c57b870a0c02fe5210058f84c7ac424d))


### Bug Fixes

* **android/playback:** Philips android 8 get stuck on last frame of video CU-27wu11q (pull request [#376](https://bitbucket.org/diseinc/xpressplayer/issues/376)) ([38cfed3](https://bitbucket.org/diseinc/xpressplayer/commits/38cfed35d99d8e2926b86a7e20884845d28c7c19))
* **file:** Philips Android Internal File System Error CU-25u2gpx (pull request [#375](https://bitbucket.org/diseinc/xpressplayer/issues/375)) ([1727664](https://bitbucket.org/diseinc/xpressplayer/commits/172766420d2cd017904d4dbdc92e64fa457723ae))
* **report:** Proof of play showing no results when filtering by playlist on classic CU-2b5nzyw (pull request [#377](https://bitbucket.org/diseinc/xpressplayer/issues/377)) ([cce299b](https://bitbucket.org/diseinc/xpressplayer/commits/cce299bf8f51cc8b9b451d48aa6e95eb7405e2c4))

### [38.0.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.0.4..release-38.0.3) (2022-06-09)

### [38.0.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.0.3..release-38.0.2) (2022-06-08)


### Bug Fixes

* **SSSP4/playback:** The last frame in a video during gap-less playback persist behind image CU-2vyt4jr (pull request [#371](https://bitbucket.org/diseinc/xpressplayer/issues/371)) ([b99c1f0](https://bitbucket.org/diseinc/xpressplayer/commits/b99c1f0abe4073711edb5fec825d630ba5b40f85))

### [38.0.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.0.2..release-38.0.1) (2022-06-02)


### Bug Fixes

* **sssp4:** Missing black background on SSSP4 when not using gapless CU-2qfn8w1  (pull request [#369](https://bitbucket.org/diseinc/xpressplayer/issues/369)) ([775047a](https://bitbucket.org/diseinc/xpressplayer/commits/775047ae7ecc1ee8f1745aaede01a01acd0f7320))
* **SSSP6:** Samsung player does not change to the next scene CU-2vt30vu (pull request [#367](https://bitbucket.org/diseinc/xpressplayer/issues/367)) ([27af068](https://bitbucket.org/diseinc/xpressplayer/commits/27af068a92751e717e5ec07514b40405ae7bcb2e))

### [38.0.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-38.0.1..release-37.3.0) (2022-05-31)


### Bug Fixes

* **signageOS/playbackstatistics:** playback statistics is not working in gapless mode on SignageOS CU-1y3x306 (pull request [#339](https://bitbucket.org/diseinc/xpressplayer/issues/339)) ([0dfad30](https://bitbucket.org/diseinc/xpressplayer/commits/0dfad30fc588568c0fe6a561d0ed8a1ce77119a8))
* **sound:** LG WebOS - Sound continues to play outside operating hours CU-23ncq4d (pull request [#341](https://bitbucket.org/diseinc/xpressplayer/issues/341)) ([051e870](https://bitbucket.org/diseinc/xpressplayer/commits/051e8702b92a4ea7e6ef54adc7fffe386911c942))

## [37.3.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.3.0..release-37.2.8) (2022-05-31)


### Features

* **preview:** support sound in preview (pull request [#363](https://bitbucket.org/diseinc/xpressplayer/issues/363)) ([eb9bdb4](https://bitbucket.org/diseinc/xpressplayer/commits/eb9bdb49f0423deb69bd6cd6ac0d95d4723a1f5f))


### Bug Fixes

* **preview:** Default to black background instead of transparent on preview and chromeos CU-2r6eurc (pull request [#360](https://bitbucket.org/diseinc/xpressplayer/issues/360)) ([c95d7db](https://bitbucket.org/diseinc/xpressplayer/commits/c95d7db9da3c4977599e90f4e2df882a360d2b03))
* **SSSP4/playback:** Missing black background on SSSP4 when not using gapless CU-2qfn8w1 (pull request [#364](https://bitbucket.org/diseinc/xpressplayer/issues/364)) ([8683b0b](https://bitbucket.org/diseinc/xpressplayer/commits/8683b0bf075ec4de2bb436302cf5273e369ab4a4))
* **wamp:** Lite players show Control center error on the portal after server wamp problems CU-2h0axte (pull request [#359](https://bitbucket.org/diseinc/xpressplayer/issues/359)) ([2b86a13](https://bitbucket.org/diseinc/xpressplayer/commits/2b86a13ad02ec5aaf3a77674594d88f4a36dc24b))
* **wamp/log:** Lite players show Control center error on the portal after server wamp problems CU-2h0axte (pull request [#362](https://bitbucket.org/diseinc/xpressplayer/issues/362)) ([0b2c2ee](https://bitbucket.org/diseinc/xpressplayer/commits/0b2c2eeead67452bb6d584f3caf8c6b7d5c8c0b0))

### [37.2.8](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.8..release-37.2.7) (2022-05-05)


### Bug Fixes

* **controller/SignageOS:** Get SSSP 2 & 3 working in new CX Portal CU-25m5ejc (pull request [#356](https://bitbucket.org/diseinc/xpressplayer/issues/356)) ([d3212d6](https://bitbucket.org/diseinc/xpressplayer/commits/d3212d6daa9d13a4a93eb6c2aaf4ec63d57cb327))
* **subplaylist:** lite player skip items when playing sub playlist and gapless is enabled CU-2n558r2 (pull request [#355](https://bitbucket.org/diseinc/xpressplayer/issues/355)) ([c0e4746](https://bitbucket.org/diseinc/xpressplayer/commits/c0e4746e7117db67f96954d7f311e8e038f39c81))

### [37.2.7](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.7..release-37.2.6) (2022-04-21)


### Bug Fixes

* **chromeOS/display:** Change background color to black when screen is off on ChromeOS CU-2khmg0d (pull request [#352](https://bitbucket.org/diseinc/xpressplayer/issues/352)) ([0be8d1d](https://bitbucket.org/diseinc/xpressplayer/commits/0be8d1d86c6764fcc4f77ad120cc3ae4684f48c6))

### [37.2.6](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.6..release-37.2.5) (2022-04-21)

### [37.2.5](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.5..release-37.2.4) (2022-04-12)

### [37.2.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.4..release-37.2.3) (2022-04-11)


### Bug Fixes

* **chromeOS:** Investigate ChromeOS CU-25m5e6w (pull request [#346](https://bitbucket.org/diseinc/xpressplayer/issues/346)) ([ec5d77c](https://bitbucket.org/diseinc/xpressplayer/commits/ec5d77ca32602b5bd43e0fda406980f5f26e21bf))
* **chromeOS/build:** Investigate ChromeOS CU-25m5e6w (pull request [#347](https://bitbucket.org/diseinc/xpressplayer/issues/347)) ([6bed4c7](https://bitbucket.org/diseinc/xpressplayer/commits/6bed4c7683988ab62fea9dc70e47bb88516fa87a))

### [37.2.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.3..release-37.2.2) (2022-03-30)


### Bug Fixes

* **playbackstatistics/lite:** change use_playback_statistics default value to false CU-1tf5y79 (pull request [#344](https://bitbucket.org/diseinc/xpressplayer/issues/344)) ([c1a5428](https://bitbucket.org/diseinc/xpressplayer/commits/c1a542898bb1c978af97d2b48c08d366b6cc6d23))

### [37.2.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.2..release-37.2.1) (2022-03-29)


### Bug Fixes

* **playback/logic:** LG WebOS Subplaylists with expired content CU-2536azp (pull request [#342](https://bitbucket.org/diseinc/xpressplayer/issues/342)) ([cd7d5c5](https://bitbucket.org/diseinc/xpressplayer/commits/cd7d5c5b2ff98ff54c05b588a6e3be2e9f9eadb1))

### [37.2.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.1..release-37.2.0) (2022-03-11)


### Bug Fixes

* **playbackStatistics:** Reports counts even if the display is set to off with operating hours CU-2881k4p (pull request [#334](https://bitbucket.org/diseinc/xpressplayer/issues/334)) ([8352c42](https://bitbucket.org/diseinc/xpressplayer/commits/8352c42658ce3abb357ee189782d9153d9d7b793))
* **SSS4/playbackstatistics:** playback statistics is not working in gapless mode on SSSP4 CU-2344pqv (pull request [#332](https://bitbucket.org/diseinc/xpressplayer/issues/332)) ([950637e](https://bitbucket.org/diseinc/xpressplayer/commits/950637e56e8f830f09b4c2120074cdb0c28b07fc))

## [37.2.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.2.0..release-37.1.0) (2022-03-10)


### Features

* **disemovie:** Data connect transparency to Variable / Template field CU-1gwnxxj ([a15a9bd](https://bitbucket.org/diseinc/xpressplayer/commits/a15a9bd0cfd69c10e08eed58bc2f7a1c496f56fa)), closes [#323](https://bitbucket.org/diseinc/xpressplayer/issues/323)
* **weather:** weather without Amazon on Lite CU-1x7g7v3 (pull request [#321](https://bitbucket.org/diseinc/xpressplayer/issues/321)) ([08010f4](https://bitbucket.org/diseinc/xpressplayer/commits/08010f4b335bb3b6026cf42bf06c97b4b2400bc1))


### Bug Fixes

* **LG/subplaylist:** LG Content doesn't play when subplaylist set to play all items CU-227p4n9 (pull request [#329](https://bitbucket.org/diseinc/xpressplayer/issues/329)) ([926919e](https://bitbucket.org/diseinc/xpressplayer/commits/926919e2d5e79f41ba7c21b6422ff6a49daa551d))
* **paragraph:** Can't change color from the portal for specific paragraph in paragraph object CU-1hdptz8 (pull request [#322](https://bitbucket.org/diseinc/xpressplayer/issues/322)) ([6fb6b96](https://bitbucket.org/diseinc/xpressplayer/commits/6fb6b96ceece53ce6c1672bc97cad87dd6f39585))
* **playbackstatistics:** one item is missing in playback statistics for each 50 items if gapless mode is enabled CU-22203gx (pull request [#327](https://bitbucket.org/diseinc/xpressplayer/issues/327)) ([a0166a9](https://bitbucket.org/diseinc/xpressplayer/commits/a0166a95aa4e032c3ba19e106e24efe49b982a56))
* **SSSP4:** SSSP4 does not get a playlist from the new CX portal CU-21pg968 (pull request [#331](https://bitbucket.org/diseinc/xpressplayer/issues/331)) ([21d7073](https://bitbucket.org/diseinc/xpressplayer/commits/21d7073584edf82a293395381556730af6ac10d0))
* **SSSP6/playbackstatistics:** playback statistics is not working in gapless mode on SSSP6 CU-1y3x2zg (pull request [#330](https://bitbucket.org/diseinc/xpressplayer/issues/330)) ([ddedaf6](https://bitbucket.org/diseinc/xpressplayer/commits/ddedaf6ab07d536026977b699c4006243ed0cbe4))
* widget_not_supported_error.html is not deployed CU-1z699pb (pull request [#325](https://bitbucket.org/diseinc/xpressplayer/issues/325)) ([dc27609](https://bitbucket.org/diseinc/xpressplayer/commits/dc27609d5ce5c0ec25a9a28031e2e24fb28bc7ad))
* **tag:** Lite player tags CU-1zht3k2 (pull request [#326](https://bitbucket.org/diseinc/xpressplayer/issues/326)) ([83df5d1](https://bitbucket.org/diseinc/xpressplayer/commits/83df5d1d53617494ceab07aed49a251936bd2e8c))

## [37.1.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.1.0..release-37.0.2) (2022-02-25)


### Features

* **paragraph/color:** Can't change color from the portal for specific paragraph in paragraph object CU-1hdptz8 (pull request [#313](https://bitbucket.org/diseinc/xpressplayer/issues/313)) ([fe6006b](https://bitbucket.org/diseinc/xpressplayer/commits/fe6006b27a435e3191cf51ffca0b9b222d862e71))


### Bug Fixes

* **paragraph-text:** changing the save format so that Color is TextColorDataConnection, to make it easier to understand CU-1hdptz8 (pull request [#317](https://bitbucket.org/diseinc/xpressplayer/issues/317)) ([331365f](https://bitbucket.org/diseinc/xpressplayer/commits/331365f804c05232b238211864bb1687782abb9e))

### [37.0.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.0.2..release-37.0.1) (2022-02-25)


### Bug Fixes

* **SSSP6/gaplessPlayback:** Black screen when video is first and last in sub-playlist CU-hza9xn (pull request [#316](https://bitbucket.org/diseinc/xpressplayer/issues/316)) ([adae5b1](https://bitbucket.org/diseinc/xpressplayer/commits/adae5b1809820ab0e0e54da394f2e597743975cd))

### [37.0.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.0.1..release-37.0.0) (2022-02-17)


### Bug Fixes

* **downloadFile/WebOS:** validate if the file is fully downloaded CU-1x1gtvm (pull request [#311](https://bitbucket.org/diseinc/xpressplayer/issues/311)) ([69ecae0](https://bitbucket.org/diseinc/xpressplayer/commits/69ecae08e6239739c4e1481f26dbbb0dc8c92bd9))
* **playbackstatistics:** playback statistics is not working in gapless mode on LG CU-1xrkkce (pull request [#312](https://bitbucket.org/diseinc/xpressplayer/issues/312)) ([fba47d6](https://bitbucket.org/diseinc/xpressplayer/commits/fba47d6d055d4398a5c95e158e6c3018078a741b))

## [37.0.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-37.0.0..release-36.7.9) (2022-02-08)


### ⚠ BREAKING CHANGES

* **custom settings:** Player settings can be set by custom-fields (the tags with values) from CX portal. CU-1ja7hd7 (pull request #286)

### Features

* **custom settings:** Player settings can be set by custom-fields (the tags with values) from CX portal. CU-1ja7hd7 (pull request [#286](https://bitbucket.org/diseinc/xpressplayer/issues/286)) ([4420cee](https://bitbucket.org/diseinc/xpressplayer/commits/4420ceecc9fe3c9cab848e39a0947c7041bd1e10))

### [36.7.9](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.9..release-36.7.8) (2022-02-08)


### Bug Fixes

* **conditions:** reverse time conditions do not work on Lite CU-1vzek06 (pull request [#302](https://bitbucket.org/diseinc/xpressplayer/issues/302)) ([f7f6f32](https://bitbucket.org/diseinc/xpressplayer/commits/f7f6f32d1391de251ff430f2017787816a8761a4))

### [36.7.8](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.8..release-36.7.7) (2022-02-07)


### Bug Fixes

* **playbackstatistics:** report is not working if the player is playing subplaylist CU-1x77hjb (pull request [#307](https://bitbucket.org/diseinc/xpressplayer/issues/307)) ([cce7207](https://bitbucket.org/diseinc/xpressplayer/commits/cce7207906518ed625d1e1052ae1b3a977cbb01b))

### [36.7.7](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.7..release-36.7.6) (2022-02-02)


### Bug Fixes

* **brightsign/discoverycode:** Updating brightsign with signageOS resets the discovery code CU-1fu8qu1 (pull request [#305](https://bitbucket.org/diseinc/xpressplayer/issues/305)) ([44d5191](https://bitbucket.org/diseinc/xpressplayer/commits/44d5191bc79db36f3e783a5389d4fddbd307e2f1))

### [36.7.6](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.6..release-36.7.5) (2022-01-31)


### Bug Fixes

* **brightsign:** Updating brightsign with signageOS resets the discovery code CU-1fu8qu1 (pull request [#291](https://bitbucket.org/diseinc/xpressplayer/issues/291)) ([f33aba7](https://bitbucket.org/diseinc/xpressplayer/commits/f33aba7cf27df202009615c8761cf9a189b7bac9))

### [36.7.5](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.5..release-36.7.4) (2022-01-25)


### Bug Fixes

* **build:** unit test of license handler is failing CU-1vkvxat (pull request [#300](https://bitbucket.org/diseinc/xpressplayer/issues/300)) ([41ad7ad](https://bitbucket.org/diseinc/xpressplayer/commits/41ad7adff11f690fd1e075953f57b586ce254af7))

### [36.7.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.4..release-36.7.3) (2022-01-24)

### [36.7.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.3..release-36.7.2) (2022-01-24)

### [36.7.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.2..release-36.7.1) (2022-01-21)


### Bug Fixes

* **operatingHours:** Several operating hours settings on the same day uses only one of the settings CU-1ve1m3t (pull request [#294](https://bitbucket.org/diseinc/xpressplayer/issues/294)) ([e979bcf](https://bitbucket.org/diseinc/xpressplayer/commits/e979bcfa5c280cee65b4cea20cd7af1aa2e79911))

### [36.7.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.1..release-36.7.0) (2022-01-20)

## [36.7.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.7.0..release-36.6.3) (2022-01-17)


### Features

* **playback-statistics:** template with multiple scenes makes one playback statistics entry for each scene CU-1j4kpu1 (pull request [#287](https://bitbucket.org/diseinc/xpressplayer/issues/287)) ([30a4864](https://bitbucket.org/diseinc/xpressplayer/commits/30a4864acc4e0243172574f92f29dd13cf325474))


### Bug Fixes

* **playback:** duration of scenes in Movie is wrong in Lite CU-1uhn3qb (pull request [#288](https://bitbucket.org/diseinc/xpressplayer/issues/288)) ([f8d4ff1](https://bitbucket.org/diseinc/xpressplayer/commits/f8d4ff145010237ffa8cc881c5f394c55c2dbbf0))
* **template:** video object can change the template duration in new Cxportal CU-1p2e0yg (pull request [#283](https://bitbucket.org/diseinc/xpressplayer/issues/283)) ([c13258f](https://bitbucket.org/diseinc/xpressplayer/commits/c13258fed8908ce7c5188c2379b622bcbead43e2))

### [36.6.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.6.3..release-36.6.2) (2022-01-04)


### Bug Fixes

* **playbackstatistics:** change use_playback_statistics default value to true (pull request [#284](https://bitbucket.org/diseinc/xpressplayer/issues/284)) ([e0e15dc](https://bitbucket.org/diseinc/xpressplayer/commits/e0e15dc1667006fb7b65346898365e1e26f7f819))

### [36.6.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.6.2..release-36.6.1) (2021-12-28)


### Bug Fixes

* **conditions:** lite player will not play if it only contains "Not present" conditions but none of them are fulfilled. CU-1pz4vty (pull request [#281](https://bitbucket.org/diseinc/xpressplayer/issues/281)) ([9782215](https://bitbucket.org/diseinc/xpressplayer/commits/9782215275403588c1f777a2d07bcfaa1a92eb37))

### [36.6.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.6.1..release-36.6.0) (2021-12-27)


### Bug Fixes

* **operatingHours:** lite player's screen is still turned on even the operating hour is set to turn off after reboot CU-1pz20zy (pull request [#279](https://bitbucket.org/diseinc/xpressplayer/issues/279)) ([5b4e6a8](https://bitbucket.org/diseinc/xpressplayer/commits/5b4e6a894e181114958b56ca75d94c5c9470fa40))

## [36.6.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.6.0..release-36.5.0) (2021-12-22)


### Features

* **playback/statistics:** Update Lite player to support new playback statistics CU-1mez8jr (pull request [#274](https://bitbucket.org/diseinc/xpressplayer/issues/274)) ([729b85c](https://bitbucket.org/diseinc/xpressplayer/commits/729b85c6203ac723c5b332dbeb71495c8449e533))


### Bug Fixes

* **commands:** LG cannot save enough logs if the player go offline for a long time. CU-1k15dp4 (pull request [#277](https://bitbucket.org/diseinc/xpressplayer/issues/277)) ([48ebe13](https://bitbucket.org/diseinc/xpressplayer/commits/48ebe13c47a283d0f13d423a9b9d63a126e9fc95))
* **scenario:** do not try to play scenarios without items, conditions + debug log CU-1p87zq1 (pull request [#275](https://bitbucket.org/diseinc/xpressplayer/issues/275)) ([c169b15](https://bitbucket.org/diseinc/xpressplayer/commits/c169b15512450654df8071bb9e4e5298e3218d4f))
* **tag/location:** isPresent == false on locations and tags do not work CU-1jg3j9h (pull request [#276](https://bitbucket.org/diseinc/xpressplayer/issues/276)) ([6617579](https://bitbucket.org/diseinc/xpressplayer/commits/6617579f88990c1db2fbde5156c443a5e0c0f8cc))

## [36.5.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.5.0..release-36.4.0) (2021-12-13)


### Features

* **layout/SSSP6:** video gapless playback in a layout on SSSP (pull request [#272](https://bitbucket.org/diseinc/xpressplayer/issues/272)) ([524b007](https://bitbucket.org/diseinc/xpressplayer/commits/524b0077db659066c7e37cdb508aecc4dc2e25c4))

## [36.4.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.4.0..release-36.3.2) (2021-12-03)


### Features

* **time/lock:** Video object in a template does not change duration when switching video on lite player (pull request [#266](https://bitbucket.org/diseinc/xpressplayer/issues/266)) ([2099a77](https://bitbucket.org/diseinc/xpressplayer/commits/2099a77c5b010394cb399ead622c456a9124f615))


### Bug Fixes

* **playback/statistics:** First report item in playback statistics from lite is incorrect CU-1j4kp4w (pull request [#268](https://bitbucket.org/diseinc/xpressplayer/issues/268)) ([74683f9](https://bitbucket.org/diseinc/xpressplayer/commits/74683f9e5f401387392f615f6ec366dcfe2b3b8c))
* **weather:** Weather condition stops playlist from going to next item CU-1j4jqzg (pull request [#267](https://bitbucket.org/diseinc/xpressplayer/issues/267)) ([d06d2ec](https://bitbucket.org/diseinc/xpressplayer/commits/d06d2ec0582e39c2dffde13c1dd0a8d60f7e02dd))

### [36.3.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.3.2..release-36.3.1) (2021-11-19)

### [36.3.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.3.1..release-36.3.0) (2021-11-19)

## [36.3.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.3.0..release-36.2.1) (2021-11-19)


### Features

* **operationHours:** Operation Hours CU-1e0wgeb (pull request [#248](https://bitbucket.org/diseinc/xpressplayer/issues/248)) ([01054d6](https://bitbucket.org/diseinc/xpressplayer/commits/01054d6d4543e1f8d73c01c40818a36b6cab8c0f))


### Bug Fixes

* **operatingHours:** OperatingHours lite player CU-1ht1227 (pull request [#258](https://bitbucket.org/diseinc/xpressplayer/issues/258)) ([82abc8e](https://bitbucket.org/diseinc/xpressplayer/commits/82abc8e4e3705fe6a26da7fdef7f3f03879115d1))
* **weather:** Lite player will get weather without using it CU-1hdufnh (pull request [#257](https://bitbucket.org/diseinc/xpressplayer/issues/257)) ([069f357](https://bitbucket.org/diseinc/xpressplayer/commits/069f357ba1256b4abc06702cb16e134435b0b08a))

### [36.2.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.2.1..release-36.2.0) (2021-11-08)


### Bug Fixes

* **webOS/lg:** lg webOS-4.0 crashed when connected with new CX portal CU 1jnx13v (pull request [#252](https://bitbucket.org/diseinc/xpressplayer/issues/252)) ([b84f0ea](https://bitbucket.org/diseinc/xpressplayer/commits/b84f0ea29c87dc4147572f3be4877f430880dfeb))

## [36.2.0](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.2.0..release-36.1.4) (2021-11-05)


### Features

* **sssp/gapless:** video gapless playback in a layout on SSSP devices CU-1fu52w5 (pull request [#250](https://bitbucket.org/diseinc/xpressplayer/issues/250)) ([425a9df](https://bitbucket.org/diseinc/xpressplayer/commits/425a9df7f4a12dedb63e2f8145c9a3d7ea624ab7))

### [36.1.4](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.1.4..release-36.1.3) (2021-10-28)


### Bug Fixes

* **playback:** lite player will crash if coordinates are missing for site CU-1fu2yvw (pull request [#245](https://bitbucket.org/diseinc/xpressplayer/issues/245)) ([cb02b56](https://bitbucket.org/diseinc/xpressplayer/commits/cb02b56841342014fda0531b6e3a237986193cc1))
* **webOS:** lg screen green flicker when playing video with images CU-1gwmvuz (pull request [#247](https://bitbucket.org/diseinc/xpressplayer/issues/247)) ([1abd869](https://bitbucket.org/diseinc/xpressplayer/commits/1abd869b0ed744b4c2c232fbe4c96d390b816d24))

### [36.1.3](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.1.3..release-36.1.2) (2021-10-21)


### Bug Fixes

* **build:** lite-preview octopus packages do not work CU-1hkcgh6 (pull request [#242](https://bitbucket.org/diseinc/xpressplayer/issues/242)) ([b02980e](https://bitbucket.org/diseinc/xpressplayer/commits/b02980e7b2c12290fe69228f71c42038330b24e1))
* **placeholder:** lite player cannot handle the empty placeholder CU-1g5tknk (pull request [#241](https://bitbucket.org/diseinc/xpressplayer/issues/241)) ([a353b3d](https://bitbucket.org/diseinc/xpressplayer/commits/a353b3d1cbf50320c736120a13dcec89278fd732))
* **signageOS/brightsign:** updating brightsign applet through signageOS reset the discovery code CU-1fu8qu1 (pull request [#239](https://bitbucket.org/diseinc/xpressplayer/issues/239)) ([2669852](https://bitbucket.org/diseinc/xpressplayer/commits/26698523b9c02de0eb6dbf8898a0013b52345c6c))
* **web pages:** Player gets stuck on web pages Philips SignageOS CU-p9bx15 (pull request [#231](https://bitbucket.org/diseinc/xpressplayer/issues/231)) ([491cde3](https://bitbucket.org/diseinc/xpressplayer/commits/491cde3bece1e474cf9690f38d104cb183387820))

### [36.1.2](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.1.2..release-36.1.1) (2021-09-27)

### [36.1.1](https://bitbucket.org/diseinc/xpressplayer/branches/compare/release-36.1.1..release-36.1.0) (2021-09-24)


### Bug Fixes

* **video/philips:** lite player has a long time black frame when contents switched from an image to a video CU-1exj2cv (pull request [#234](https://bitbucket.org/diseinc/xpressplayer/issues/234)) ([cfb9652](https://bitbucket.org/diseinc/xpressplayer/commits/cfb96526cbaf46133b44f7d96756b46c283e9450))

## 36.1.0 (2021-09-24)


### Features

* **publish:** Lite player cannot read the published data without playerr CU-webnbz (pull request [#221](https://bitbucket.org/diseinc/xpressplayer/issues/221)) ([8507e36](https://bitbucket.org/diseinc/xpressplayer/commits/8507e36a4949b312ef16c7a3f27391b5f09c2ffd))


### Bug Fixes

* **build:** BitBucket pipeline doesn't bump package.json CU-wkwtv8 (pull request [#219](https://bitbucket.org/diseinc/xpressplayer/issues/219)) ([6799f3c](https://bitbucket.org/diseinc/xpressplayer/commits/6799f3ce6a2b7058bc32e068ee3a94f61cfafa6d))
* **ci:** Gitcommand (pull request [#194](https://bitbucket.org/diseinc/xpressplayer/issues/194)) ([b72651e](https://bitbucket.org/diseinc/xpressplayer/commits/b72651e6fc85dad0605e986c7888deb27a5f500c))
* **webos/gapless:** WebOS stuck on sub playlist that only contains videos CU-1dvd410 (pull request [#226](https://bitbucket.org/diseinc/xpressplayer/issues/226)) ([0ccbe05](https://bitbucket.org/diseinc/xpressplayer/commits/0ccbe059a5c50c15183a8b67dbd5b5c1f8de75c8))


## 1.35.22 (2021-09-10)

### Features

### Bug Fixes

* **signageOS:** Screen schedule does not stop videos on Philips with SignageOS CU-pfd1bd (pull request #228)
* **scenario/trigger:** Trigger scenario play on lite player unexpectedlly CU-1e140qa(pull request #227)
* **tags:** player crash if all content are disabled by adding a Tag condition CU-1e6u1mg (pull request #229)


## 1.35.21 (2021-09-6)

### Features

* **preview:** lite-player-can be used to preview display in new CX portal CU-1dfvmx4 (pull request #224)

### Bug Fixes

* **weather:** weather-conditions works with partly cloudy condition CU-we84zb (pull request #216)
* **channel:** handle empty scenario&channel default items CU-we839x (pull request #216)
* **signageOS:** if the playlist only contains a single video it cannot be played correct CU-wkwdby (pull request #218)
* **communication:** player cannot load display, timezone and playersettings in new CX portal CU-1dfryqq (pull request #223)
* **message:** message info are missing after first round playback on lite player CU-1dnftcf(pull request #225) 


## 1.35.8 (2021-08-20)

### Features

### Bug Fixes

* **tags:** tags from new cx portal is not working on lite CU-w8myvv (pull request #214)
* **signageOS:** info osd overlay is not working as the same way as another platform on signageOS CU-wku7mx (pull request #217)


## 1.35.7 (2021-08-18)

### Features

* **widget/signageOS:** signageOS support to play the widget CU-fd791h (pull request #211)

### Bug Fixes

* **SSSP6/samsung:** Black screen when video is first and last in sub-playlist CU-hza9xn (pull request #208)
* **signageOS:** Last frame of a video still shows while scheduled to be off on Philips SignageOS CU-pfdkd8 (pull request #209)


## 1.34.7 (2021-06-11)

### Features

* **general/lg:** Debug flag will now enable LG debug mode, connect to port 9998 for debug console (pull request #189, #kq78bg)

### Bug Fixes

* **video/android:** It was possible for video playlists to stop playing on last frame of video on older Philips Android devices (pull request #191, #kkae3j)
* **video/lg:** WebOS could loop videos when scheduling on items were on (pull request #188, #jba8wr)


## 1.34.5 (2021-06-01)

### Features

* **android:** Philips D-Line support (pull request #184, #vd9byt)
* **video/android:** Video playback updated to be gapless on Android (pull request #181, #t19ruu)
* **screenshot/android,brightsign:** Portal screenshot supported (pull request #186, #fd78k7)

### Bug Fixes

* **preview:** Preview gives "cannot read property foreach of undefined"(pull request #187, #kq7qvj)
* **playback/android:** Philips D-line could in some cases show playback status stopped after the player reboot (pull request #185, #k360tu)

### Other

* **build:** Deployment of sssp2-3 to beta.dise.tv (pull request #178, #jbaykx)


## 1.33.2 (2021-05-05)

### Bug Fixes

* **video/lg:** It was not possible to turn off GaplessPlayback on WebOS 4.0 (pull request #177, #j57nbt)
* **general/tizen:** Rebot of Tizen device could cause network communication to fail after boot (pull request #171, #8144)


## 1.33.1 (2021-04-28)

### Features

* **video/lg:** WebOS Gapless video playback (pull request #168, #8228, #8229)
* **storage/lg:** Support for USB storage devices (pull request #8150 & #gf1zcp)
* **general/lg:** Updated SCAP & Common API (pull request #8150)
    * SCAP version 1.7.4
    * Common API version 1.3
* **general/lg:** Update SCAP boot image to new logo
* **portal/chromeos:** ChromeOS option "offline_enabled" has been enabled to support offline playback (pull request #173, #8244)

### Bug Fixes

* **storage/sssp:** Widget packages could fail to delete on SSSP2-3 (pull request #170, #7627)

### Other

* **build/preview:** Added nginx config templates to Xpress.zip (pull request #169, #8230)
* **build/lg:** Add scap app to octopus deploy (pull request #174, #ht9h1a)
* **build/tizen:** Upload tizen package to fileserver and octopus (pull request #167)
* **build:** Build pipeline for alpha version player (pull request #172, #ht9e9u)


## 1.32.30 (2021-06-22)

### Bug Fixes

* **widgets:** Refresh of widget did not apply all variables (pull request #196, #mv9y7e)


## 1.32.29 (2021-04-26)

### Features

* **portal/chromeos:** ChromeOS option "offline_enabled" has been enabled to support offline playback (backport, pull request #173, #8244)


## 1.32.28 (2021-03-31)

### Bug Fixes

* **portal/sssp:** Improved reset of status on portal reconnect, otherwise statues might not reset on SSSP3 devices (pull request #166, #7447)


## 1.32.27 (2021-03-30)

### Other

* **build:** Parts of the build process could fail (pull request #165, #8146)


## 1.32.26 (2021-03-29)

### Bug fixes

* **portal:** Manual resend of status was not working properly (pull request #163, #8144)


## 1.32.23 (2021-03-25)

### Bug fixes

* **playback:** Big playlists (1000+ items) could show black screen if larger portions of it was scheduled to not be active (pull request #161, pull request #162, pull request #150, #8053)


## 1.32.21 (2021-03-19)

### Features

* **widget/sssp:** Support added for filesystem access from widget in SSSP2-3 (pull request #160, #8108)


## 1.32.20 (2021-03-18)

### Bug fixes

* **templates:** Templates with only video now support gapless playback (pull request #159, pull request #157, #8080)


## 1.32.18 (2021-03-12)

### Bug fixes

* **playback:** Update to handle letter case for paragraph and text and collapsed items is handled better (pull request #156, #7981, #7982)
* **portal/sssp:** “Temperature status: Warning” and “Fan status: Error” errors on SSSP2/3 (pull request #153, #7770)
* **playback/brightsign:** Portrait playback was upside down in some cases (pull request #154, #7764)
* **storage/sssp:** There was an error where files in folders would not delete properly on SSSP2/3 (#7627)
* **portal:** Removed dssession authentication from portal communication (pull request #151, #6360)


## 1.32.17 (2021-03-08)

### Features
* **playback/tizen:** Image playback synchronization supported on Tizen (SSSP 4-6) devices (pull request #148, #7604)

### Bug fixes
* **playback/tizen:** SSSP6 devices could not handle more than 16 videos in an playlist using gapless mode (pull request #149)
* **video:** There could be an black screen on update when using the gapless mode on Android and Brightsign devices (pull request #147, #4385)


## 1.32.14 (2021-02-22)

### Features
* **widget/brightsign,sssp,tizen:** Filesystem access from widget using javascript (pull request #146)
    * Supported on Brightsign, SSSP2-3 and Tizen (SSSP4-6)


## 1.32.11 (2021-02-09)

### Features
* **video/tizen,sssp6:** 4K video playback supported on SSSP6 devices in gapless mode (pull request #143, #7437)


## 1.31.7 (2021-01-18)

### Features

* **video/tizen:** Video playback synchronization supported on Tizen (SSSP 4-6) devices (pull request #123, #7038)

### Bug fixes

* **content:** Rectangles with rounded corners did not work properly (pull request #127, #7174)
* **pairing:** Discovery servers use http or https connection depending on device type and how they are called (#7202)
* **preview:** Having a space at the end of a template field name could break the preview (#7393)
* **portal/sssp:** Samsung SSSP 2-3 devices could get stuck on startup when starting without internet connection (pull request #129, #7435)
* **ui/sssp:** The old DISE logo was shown when loading app on SSSP3 devices (#7543)
* **ui/tizem:** The old DISE logo was shown when loading app on Tizen devices (pull request #126, #7241, #7311)